#!/bin/bash

# list of alpha's
alist=("0.1" "0.2" "0.3" "0.4" "0.5" "0.6" "0.7" "0.8" "0.9" "1.0" "1.1" "1.2" "1.3" "1.4" "1.5")
#alist=("0.1" "0.5" "1.0" "1.5")
na=$((${#alist[@]}-1))

############################################################################################################
############################################################################################################

function printLine {
echo "%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%"
}

printLine
echo "Launching runs"
printLine

# check for existence of 'runs' directory; create it if it doesn't exist
id=`eval date +%Y%m%d`"_"$$
rundir="runs_"$id
if [ -d $rundir ]; then
	echo "==> $rundir directory exists"
else 
	echo "==> $rundir directory does not exist, creating it"
	mkdir $rundir
fi

for i in `seq 0 $na`;
  do
    a=${alist[$i]}
    # check for existence of run specfic directory
    dir=$rundir"/"$i
    if [ -d $dir ]; then
	    echo "==> run directory "$dir" directory exists already ... cleaning it out"
	    rm -rf $dir
	    mkdir $dir
    else 
	    echo "==> creating run directory "$dir
	    mkdir $dir
    fi
  
    # copy necessary files and create output directories
    echo "==> creating run directory structure"
  
    mkdir $dir"/output"
    mkdir $dir"/output/moms"
    cp rta-cuda $dir
    cp -rf input $dir
    cd $dir
    echo "==> launching job "$i
    ./rta-cuda -a0 $a > log.out 
    cd ../..
done
